## ben 0.8.3

=== debian/changelog ===
ben (0.8.3) unstable; urgency=medium

  * Fix exact package name match (Closes: #870319, #841720)
  * Keep all fields when parsing for "query -s" (Closes: #907959)
  * Bump debhelper compat level to 12
  * Bump Standards-Version to 4.4.0

 -- Stéphane Glondu <glondu@debian.org>  Tue, 30 Jul 2019 17:04:37 +0200

=== debian/control ===
Source: ben
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Stéphane Glondu <glondu@debian.org>,
 Mehdi Dogguy <mehdi@debian.org>
Build-Depends:
 debhelper (>= 12),
 dh-ocaml (>= 0.9.6~),
 graphviz,
 ocaml-findlib,
 ocamlbuild,
 menhir,
 libpcre-ocaml-dev,
 libocamlnet-ocaml-dev,
 libocamlgraph-ocaml-dev,
 libfileutils-ocaml-dev,
 libtyxml-ocaml-dev (>= 4.1~),
 libpostgresql-ocaml-dev,
 libparmap-ocaml-dev,
 libre-ocaml-dev (>= 1.7.2~),
 libextlib-ocaml-dev,
 ocaml-nox (>= 4.03~),
 asciidoctor,
 docbook-xml,
 docbook-xsl,
 libxml2-utils,
 xsltproc,
 source-highlight
Standards-Version: 4.4.0
Section: devel
Homepage: https://ben.debian.net
Vcs-Browser: https://salsa.debian.org/debian/ben
Vcs-Git: https://salsa.debian.org/debian/ben.git

Package: libben-ocaml-dev
Section: ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: OCaml libraries for Debian maintainers (development package)
 This package contains miscellaneous OCaml libraries to make the life
 of an OCaml-aware Debian package maintainer easier.
 .
 This package contains development files of the library.

Package: libben-ocaml
Section: ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml libraries for Debian maintainers (runtime package)
 This package contains miscellaneous OCaml libraries to make the life
 of an OCaml-aware Debian package maintainer easier.
 .
 This package contains the shared runtime stub libraries.

Package: ben
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 bzip2,
 curl,
 libjs-jquery,
 ${misc:Depends}
Provides: ${ocaml:Provides}
Enhances: devscripts
Recommends:
 dose-distcheck
Description: toolbox for Debian maintainers
 This is a collection of useful tools that Debian maintainers can use
 to make their packaging work easier. They all work with regular
 Debian package list files, and should be useful for Debian
 derivatives as well. This package ships a single executable, "ben",
 with the following subcommands:
  * download: download a set of package list files from a mirror
  * monitor: monitor the status of a set of packages across several
    architectures (useful for transitions)
  * query: query packages using their metadata (similar to grep-dctrl,
    but uses a dedicated query language)
  * tracker: frontend to multiple monitors

## ben 0.8.3ubuntu4

=== debian/changelog ===
ben (0.8.3ubuntu4) eoan; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 13 Sep 2019 10:27:20 +0200

ben (0.8.3ubuntu3) eoan; urgency=medium

  * Rebuild against new ocam ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 06 Sep 2019 12:50:57 +0200

ben (0.8.3ubuntu2) eoan; urgency=medium

  * Rebuild against new ocaml ABIs.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 04 Sep 2019 15:19:22 +0100

ben (0.8.3ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Show Ubuntu logo.
    - Allow configs to request the Packages/Sources files are not
      redownloaded (so that we can download once and for all at the start).
    - Add an Ubuntu template.
    - Tolerate templates with buildds or critical_bugs entries that return
      None.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 01 Aug 2019 09:12:30 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: ben
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Stéphane Glondu <glondu@debian.org>,
  Mehdi Dogguy <mehdi@debian.org>
@@ -30,8 +31,8 @@
 Standards-Version: 4.4.0
 Section: devel
 Homepage: https://ben.debian.net
-Vcs-Browser: https://salsa.debian.org/debian/ben
-Vcs-Git: https://salsa.debian.org/debian/ben.git
+Vcs-Browser: https://code.launchpad.net/~ubuntu-transition-trackers/ubuntu-transition-tracker/ben
+Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-transition-trackers/ubuntu-transition-tracker/ben
 
 Package: libben-ocaml-dev
 Section: ocaml

## ben 0.9.0

=== debian/changelog ===
ben (0.9.0) unstable; urgency=medium

  * Add a new "migrate" frontend
  * More helpful message when a dependency cycle is detected by "rebuild"
  * Add version to footer of HTML pages generated by "monitor"
  * Update architecture lists

 -- Stéphane Glondu <glondu@debian.org>  Tue, 12 Nov 2019 14:15:09 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: ben
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Stéphane Glondu <glondu@debian.org>,
  Mehdi Dogguy <mehdi@debian.org>
@@ -31,8 +30,8 @@
 Standards-Version: 4.4.0
 Section: devel
 Homepage: https://ben.debian.net
-Vcs-Browser: https://code.launchpad.net/~ubuntu-transition-trackers/ubuntu-transition-tracker/ben
-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-transition-trackers/ubuntu-transition-tracker/ben
+Vcs-Browser: https://salsa.debian.org/debian/ben
+Vcs-Git: https://salsa.debian.org/debian/ben.git
 
 Package: libben-ocaml-dev
 Section: ocaml
@@ -76,6 +75,8 @@
 Enhances: devscripts
 Recommends:
  dose-distcheck
+Suggests:
+ python3-yaml
 Description: toolbox for Debian maintainers
  This is a collection of useful tools that Debian maintainers can use
  to make their packaging work easier. They all work with regular

## ben 0.9.0ubuntu2

=== debian/changelog ===
ben (0.9.0ubuntu2) focal; urgency=medium

  * No-change rebuild against ocaml-nox-4.08.1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Feb 2020 07:20:44 +0000

ben (0.9.0ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Show Ubuntu logo.
    - Allow configs to request the Packages/Sources files are not
      redownloaded (so that we can download once and for all at the start).
    - Add an Ubuntu template.
    - Tolerate templates with buildds or critical_bugs entries that return
      None.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 31 Jan 2020 19:16:52 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: ben
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Stéphane Glondu <glondu@debian.org>,
  Mehdi Dogguy <mehdi@debian.org>
@@ -30,8 +31,8 @@
 Standards-Version: 4.4.0
 Section: devel
 Homepage: https://ben.debian.net
-Vcs-Browser: https://salsa.debian.org/debian/ben
-Vcs-Git: https://salsa.debian.org/debian/ben.git
+Vcs-Browser: https://code.launchpad.net/~ubuntu-transition-trackers/ubuntu-transition-tracker/ben
+Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-transition-trackers/ubuntu-transition-tracker/ben
 
 Package: libben-ocaml-dev
 Section: ocaml

## ben 0.9.1ubuntu1

=== debian/changelog ===
ben (0.9.1ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Show Ubuntu logo.
    - Allow configs to request the Packages/Sources files are not
      redownloaded (so that we can download once and for all at the start).
    - Add an Ubuntu template.
    - Tolerate templates with buildds or critical_bugs entries that return
      None.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 28 Sep 2020 10:32:52 +0200

ben (0.9.1) unstable; urgency=medium

  * Migrate: first remove binaries of migrated packages
  * Tracker: support multiple output formats (Closes: #970744)
  * Drop dependency on libpcre-ocaml-dev
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Sun, 27 Sep 2020 11:40:02 +0200

ben (0.9.0ubuntu6) groovy; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 01 Sep 2020 13:35:41 +0200

ben (0.9.0ubuntu5) groovy; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 17 Aug 2020 21:06:18 +0200

ben (0.9.0ubuntu4) groovy; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 11 Aug 2020 22:58:16 +0200

ben (0.9.0ubuntu3) groovy; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 15 Jul 2020 22:41:55 +0200

## ben 0.9.2

=== Makefile ===
##########################################################################
#  Copyright © 2009-2013 Stéphane Glondu <steph@glondu.net>              #
#            © 2010-2013 Mehdi Dogguy <mehdi@dogguy.org>                 #
#                                                                        #
#  This program is free software: you can redistribute it and/or modify  #
#  it under the terms of the GNU Affero General Public License as        #
#  published by the Free Software Foundation, either version 3 of the    #
#  License, or (at your option) any later version, with the additional   #
#  exemption that compiling, linking, and/or using OpenSSL is allowed.   #
#                                                                        #
#  This program is distributed in the hope that it will be useful, but   #
#  WITHOUT ANY WARRANTY; without even the implied warranty of            #
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU     #
#  Affero General Public License for more details.                       #
#                                                                        #
#  You should have received a copy of the GNU Affero General Public      #
#  License along with this program.  If not, see                         #
#  <http://www.gnu.org/licenses/>.                                       #
##########################################################################

# Configuration
NAME := ben
PREFIX := /usr/local

# Auto-detection
ifeq ($(OCAMLBEST),)
HAS_OPT := $(shell if which ocamlopt > /dev/null; then echo yes; fi)
else ifeq ($(OCAMLBEST),native)
HAS_OPT := yes
else
HAS_OPT :=
endif

OCAML_STDLIB_DIR ?= $(shell /usr/bin/ocamlc -where)
HAS_NATDYN =
PLUGIN_EXT = cma
ifneq (,$(wildcard $(OCAML_STDLIB_DIR)/dynlink.cmxa))
  HAS_NATDYN := yes
  PLUGIN_EXT := cmxs
endif

CLASSIC := $(if $(INSIDE_EMACS),-classic-display)
ARCH := $(if $(HAS_NATDYN),native,byte)
OCAMLBUILD := ocamlbuild -no-links $(CLASSIC) $(if $(HAS_OPT),,-byte-plugin)
OCAMLBUILD_ENV :=

# Build
TARGETS := lib/benl.cma $(if $(HAS_OPT),lib/benl.cmxa) bin/$(NAME).$(ARCH) META modules.dot
GENERATED := modules.png ben
TEMPLATES := $(foreach TPL,$(wildcard templates/*),$(subst .ml,.$(PLUGIN_EXT),$(TPL)))

# modules w/o interfaces
EXTRA_FILES := $(shell find lib -iname "*.ml" | xargs -I {} sh -c "test -f '{}'i || echo '{}'")

# C stubs magic for bytecode
export CAML_LD_LIBRARY_PATH=$(CURDIR)/_build/lib

# Installation
BINDIR := $(DESTDIR)$(PREFIX)/bin
PLUGINSDIR := $(DESTDIR)$(PREFIX)/lib/ben/templates

all: build templates $(GENERATED) doc

.PHONY: build doc clean env
build:
	$(OCAMLBUILD_ENV) $(OCAMLBUILD) $(TARGETS)
	cp _build/bin/$(NAME).$(ARCH) ben

doc:
	$(MAKE) -C doc all

typerex: OCAMLBUILD_ENV := OCAMLFIND_COMMANDS='ocamlc=ocp-ocamlc ocamlopt=ocp-ocamlopt'
typerex: all

%.png: build
	-dot -Tpng $(patsubst %.png,_build/%.dot,$@) > $@

.PHONY: templates build-templates install-templates
templates: build-templates
build-templates: $(patsubst %,build-%,$(TEMPLATES))

build-templates/%:
	$(OCAMLBUILD_ENV) $(OCAMLBUILD) templates/$*

install-templates:
	install -d $(PLUGINSDIR)
	$(MAKE) $(patsubst %,install-%,$(TEMPLATES))

install-templates/%:
	install _build/templates/$* $(PLUGINSDIR)/$*

clean:
	-$(OCAMLBUILD) -clean
	rm -rf _build
	rm -f *~ */*~ $(GENERATED)

env:
	@echo export CAML_LD_LIBRARY_PATH=$(CAML_LD_LIBRARY_PATH)

.PHONY: install
install: install-templates
	install -d $(BINDIR)
	install ben $(BINDIR)
	ocamlfind install $(NAME) $(wildcard $(addprefix _build/lib/,*.cmi *.mli *.cma *.cmx *.cmxa *.a *.so)) $(EXTRA_FILES) _build/META

=== debian/changelog ===
ben (0.9.2) unstable; urgency=medium

  * Set status filters via URL parameters (Closes: #876966) 
  * Use Tyxml.Html.txt instead of Tyxml.Html.pcdata as the latter is deprecated 
  * Avoid deleting lock file when it exists 
  * Add <label> tags to make filters easier to toggle (Closes: #956005)

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 17 Jan 2021 21:44:44 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,16 @@
 Source: ben
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Stéphane Glondu <glondu@debian.org>,
  Mehdi Dogguy <mehdi@debian.org>
 Build-Depends:
- debhelper (>= 12),
- dh-ocaml (>= 0.9.6~),
+ debhelper-compat (= 13),
+ dh-ocaml,
  graphviz,
  ocaml-findlib,
  ocamlbuild,
  menhir,
- libpcre-ocaml-dev,
  libocamlnet-ocaml-dev,
  libocamlgraph-ocaml-dev,
  libfileutils-ocaml-dev,
@@ -28,11 +26,12 @@
  libxml2-utils,
  xsltproc,
  source-highlight
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Section: devel
 Homepage: https://ben.debian.net
-Vcs-Browser: https://code.launchpad.net/~ubuntu-transition-trackers/ubuntu-transition-tracker/ben
-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-transition-trackers/ubuntu-transition-tracker/ben
+Vcs-Browser: https://salsa.debian.org/debian/ben
+Vcs-Git: https://salsa.debian.org/debian/ben.git
 
 Package: libben-ocaml-dev
 Section: ocaml

## ben 0.9.2ubuntu1

=== debian/changelog ===
ben (0.9.2ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Show Ubuntu logo.
    - Allow configs to request the Packages/Sources files are not
      redownloaded (so that we can download once and for all at the start).
    - Add an Ubuntu template.
    - Tolerate templates with buildds or critical_bugs entries that return
      None.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 26 Jan 2021 10:44:34 +0100

ben (0.9.1ubuntu3) hirsute; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 18 Jan 2021 14:18:08 +0100

ben (0.9.1ubuntu2) hirsute; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 04 Nov 2020 07:24:05 +0100

## ben 0.9.2ubuntu5

=== debian/changelog ===
ben (0.9.2ubuntu5) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 25 Feb 2022 16:20:40 +0100

ben (0.9.2ubuntu4) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Jan 2022 10:36:23 +0100

ben (0.9.2ubuntu3) jammy; urgency=medium

  * No-change rebuild for current ocaml ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 14 Dec 2021 15:58:34 +0000

ben (0.9.2ubuntu2) jammy; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 01 Dec 2021 22:50:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: ben
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Stéphane Glondu <glondu@debian.org>,
  Mehdi Dogguy <mehdi@debian.org>
@@ -30,8 +31,8 @@
 Rules-Requires-Root: no
 Section: devel
 Homepage: https://ben.debian.net
-Vcs-Browser: https://salsa.debian.org/debian/ben
-Vcs-Git: https://salsa.debian.org/debian/ben.git
+Vcs-Browser: https://code.launchpad.net/~ubuntu-transition-trackers/ubuntu-transition-tracker/ben
+Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-transition-trackers/ubuntu-transition-tracker/ben
 
 Package: libben-ocaml-dev
 Section: ocaml

## ben 0.10.1

=== Makefile ===
--- 
+++ 
@@ -24,7 +24,7 @@
 
 # Auto-detection
 ifeq ($(OCAMLBEST),)
-HAS_OPT := $(shell if which ocamlopt > /dev/null; then echo yes; fi)
+HAS_OPT := $(shell if command -v ocamlopt > /dev/null; then echo yes; fi)
 else ifeq ($(OCAMLBEST),native)
 HAS_OPT := yes
 else

=== debian/changelog ===
ben (0.10.1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Tracker: honour --archs flag (Closes: #1029398)

  [ Adrian Bunk ]
  * Download: change default compression to xz

 -- Stéphane Glondu <glondu@debian.org>  Mon, 23 Jan 2023 07:36:52 +0100

ben (0.10.0) unstable; urgency=medium

  [ Mehdi Dogguy ]
  * New homepage: https://debian.pages.debian.net/ben/

  [ Jochen Sprickerhof ]
  * Replace which by command -v

  [ Stéphane Glondu ]
  * More concise output in debcheck in migrate examples
  * Many changes in "ben rebuild"
    - add parallelization option (-j)
    - handle repo update inside ben, so that a shell loop is not needed
  * Add OCaml transition preparation scripts to examples

  [ Debian Janitor ]
  * Update standards version to 4.6.0, no changes needed.

 -- Stéphane Glondu <glondu@debian.org>  Sat, 22 Jan 2022 08:08:05 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: ben
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Stéphane Glondu <glondu@debian.org>,
  Mehdi Dogguy <mehdi@debian.org>
@@ -20,19 +19,20 @@
  libparmap-ocaml-dev,
  libre-ocaml-dev (>= 1.7.2~),
  libextlib-ocaml-dev,
- ocaml-nox (>= 4.03~),
+ liblwt-ocaml-dev,
+ ocaml,
  asciidoctor,
  docbook-xml,
  docbook-xsl,
  libxml2-utils,
  xsltproc,
  source-highlight
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Section: devel
-Homepage: https://ben.debian.net
-Vcs-Browser: https://code.launchpad.net/~ubuntu-transition-trackers/ubuntu-transition-tracker/ben
-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-transition-trackers/ubuntu-transition-tracker/ben
+Homepage: https://debian.pages.debian.net/ben/
+Vcs-Browser: https://salsa.debian.org/debian/ben
+Vcs-Git: https://salsa.debian.org/debian/ben.git
 
 Package: libben-ocaml-dev
 Section: ocaml

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
include /usr/share/ocaml/ocamlvars.mk
include /usr/share/dpkg/pkg-info.mk

export DESTDIR := $(CURDIR)/debian/tmp
export OCAMLFIND_DESTDIR := $(DESTDIR)$(OCAML_STDLIB_DIR)

ifeq ($(OCAML_NATDYNLINK),yes)
export OCAMLBEST := native
else
export OCAMLBEST := byte
endif

%:
	dh $@ --with ocaml --no-parallel

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p $(OCAMLFIND_DESTDIR) $(DESTDIR)$(OCAML_DLL_DIR)
	$(MAKE) install PREFIX=/usr

.PHONY: override_dh_missing
override_dh_missing:
	dh_missing --fail-missing -X.so.owner

.PHONY: override_dh_ocaml
override_dh_ocaml:
	dh_ocaml --nodefined-map ben:$(shell cat lib/benl.mllib | tr '\n' ',' | sed "s/,$$//")

override_dh_dwz:

## ben 0.10.1ubuntu1

=== debian/changelog ===
ben (0.10.1ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Show Ubuntu logo.
    - Allow configs to request the Packages/Sources files are not
      redownloaded (so that we can download once and for all at the start).
    - Add an Ubuntu template.
    - Tolerate templates with buildds or critical_bugs entries that return
      None.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 06 Feb 2023 10:57:57 +0100

ben (0.9.2ubuntu6) lunar; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Jan 2023 09:42:44 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: ben
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Stéphane Glondu <glondu@debian.org>,
  Mehdi Dogguy <mehdi@debian.org>

## ben 0.10.3ubuntu1

=== debian/changelog ===
ben (0.10.3ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Show Ubuntu logo.
    - Allow configs to request the Packages/Sources files are not
      redownloaded (so that we can download once and for all at the start).
    - Add an Ubuntu template.
    - Tolerate templates with buildds or critical_bugs entries that return
      None.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 25 Sep 2023 17:01:18 +0200

ben (0.10.3) unstable; urgency=medium

  * rebuild: wait for pending builds to complete before invoking update
  * ocaml-transition-scripts: add support for BEN_REBUILD_TIMELIMIT

 -- Stéphane Glondu <glondu@debian.org>  Tue, 19 Sep 2023 16:34:04 +0200

ben (0.10.2ubuntu2) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 11 Sep 2023 14:13:34 +0200

ben (0.10.2ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Show Ubuntu logo.
    - Allow configs to request the Packages/Sources files are not
      redownloaded (so that we can download once and for all at the start).
    - Add an Ubuntu template.
    - Tolerate templates with buildds or critical_bugs entries that return
      None.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 29 Aug 2023 17:30:10 +0200

ben (0.10.2) unstable; urgency=medium

  * Remove edos-debcheck pseudo-field
  * Add non-free-firmware area to defaults and examples
  * Update architecture list in defaults and examples
    - remove mipsel and replace powerpc by ppc64el
  * Bump Standards-Version to 4.6.2

 -- Stéphane Glondu <glondu@debian.org>  Mon, 28 Aug 2023 05:09:22 +0200

ben (0.10.1ubuntu4) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 20 Aug 2023 09:33:16 +0200

ben (0.10.1ubuntu3) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 27 Jul 2023 11:42:23 +0200

ben (0.10.1ubuntu2) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 17 Jul 2023 15:38:46 +0200

## ben 0.10.3ubuntu4

=== debian/changelog ===
ben (0.10.3ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:43:16 +0000

ben (0.10.3ubuntu3) noble; urgency=medium

  * No-change rebuild for libev1 t64.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 01:43:44 +0100

ben (0.10.3ubuntu2) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 04 Nov 2023 16:03:06 +0100

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
  libxml2-utils,
  xsltproc,
  source-highlight
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Section: devel
 Homepage: https://debian.pages.debian.net/ben/

## ben 1.4ubuntu2

=== debian/changelog ===
ben (1.4ubuntu2) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Show Ubuntu logo.
    - Allow configs to request the Packages/Sources files are not
      redownloaded (so that we can download once and for all at the start).
    - Add an Ubuntu template.
    - Tolerate templates with buildds or critical_bugs entries that return
      None.
    - Include an Ubuntu logo, remove the Debian logo.
    - Use Ubuntu fonts and colors by default.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 08 Jul 2024 14:37:01 +0200

ben (1.4) unstable; urgency=medium

  * Fix FTBFS (missing installed files)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 06 Jul 2024 20:54:01 +0200

ben (1.3) unstable; urgency=medium

  * Big refactoring
    - make all libraries wrapped
    - do no longer use benl_ prefix
    - move CLI-related stuff to ben_frontends
  * Use UTC date to improve reproducibility

 -- Stéphane Glondu <glondu@debian.org>  Sat, 06 Jul 2024 15:33:44 +0200

ben (1.2) unstable; urgency=medium

  * Switch build system to dune
  * examples/transition-scripts:
    - make them less OCaml-centric
    - move OCaml-specific stuff to its own directory
    - replace most of commands in README.md by make targets

 -- Stéphane Glondu <glondu@debian.org>  Sat, 06 Jul 2024 10:01:45 +0200

ben (1.1ubuntu2) oracular; urgency=medium

  * Rebuild against latest extlib

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 01 Jul 2024 06:03:00 -0400

ben (1.1ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Show Ubuntu logo.
    - Allow configs to request the Packages/Sources files are not
      redownloaded (so that we can download once and for all at the start).
    - Add an Ubuntu template.
    - Tolerate templates with buildds or critical_bugs entries that return
      None.
    - Include an Ubuntu logo, remove the Debian logo.
    - Use Ubuntu fonts and colors by default.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 28 Jun 2024 14:54:32 +0200

ben (1.1) unstable; urgency=medium

  * rebuild:
    - use SIGINT handler instead of running stop_command
    - print current state on SIGUSR1
    - set debugging level from command line
    - prefix each debugging line with local time
    - add support for dependency filtering to break cycles
  * examples/ocaml-transition-scripts:
    - create missing.txt in create-transition.sh
    - behave well when .reason files are missing
    - add rebuild filter in ocaml-transition-scripts

 -- Stéphane Glondu <glondu@debian.org>  Thu, 27 Jun 2024 07:43:59 +0200

ben (1.0ubuntu2) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Show Ubuntu logo.
    - Allow configs to request the Packages/Sources files are not
      redownloaded (so that we can download once and for all at the start).
    - Add an Ubuntu template.
    - Tolerate templates with buildds or critical_bugs entries that return
      None.
    - Include an Ubuntu logo, remove the Debian logo.
    - Use Ubuntu fonts and colors by default.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 27 Jun 2024 07:58:05 +0200

ben (1.0) unstable; urgency=medium

  * rebuild: complete rewrite with more debugging possibilities
  * examples/ocaml-transition-scripts:
    - complete rewrite using sbuild (with unshare backend) instead of
      pbuilder (sudo is no longer required)
    - add support for BEN_REBUILD_CACHE
    - add support for documenting failing reasons (in .reason files)
    - generate a graph of missing packages

 -- Stéphane Glondu <glondu@debian.org>  Wed, 26 Jun 2024 10:11:45 +0200

ben (0.10.5ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Show Ubuntu logo.
    - Allow configs to request the Packages/Sources files are not
      redownloaded (so that we can download once and for all at the start).
    - Add an Ubuntu template.
    - Tolerate templates with buildds or critical_bugs entries that return
      None.
    - Include an Ubuntu logo, remove the Debian logo.
    - Use Ubuntu fonts and colors by default.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 17 Jun 2024 08:48:49 +0200

ben (0.10.5) unstable; urgency=medium

  * Use uri instead of netstring and drop dependency on ocamlnet

 -- Stéphane Glondu <glondu@debian.org>  Sun, 16 Jun 2024 11:34:02 +0200

ben (0.10.4ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Show Ubuntu logo.
    - Allow configs to request the Packages/Sources files are not
      redownloaded (so that we can download once and for all at the start).
    - Add an Ubuntu template.
    - Tolerate templates with buildds or critical_bugs entries that return
      None.
    - Include an Ubuntu logo, remove the Debian logo.
    - Use Ubuntu fonts and colors by default.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 15 Jun 2024 16:22:37 +0200

ben (0.10.4) unstable; urgency=medium

  [ Stéphane Glondu ]
  * rebuild: improve mutex handling
  * examples/migrate:
    - add debcheck_parallel to migrate functions
  * examples/ocaml-transition-scripts:
    - use "runuser -u" instead of "su -c"
  * Add riscv64 to default architectures and examples

  [ Adrian Bunk ]
  * Depend on xz-utils
  * tracker: Add --run-debcheck

 -- Stéphane Glondu <glondu@debian.org>  Fri, 14 Jun 2024 07:28:04 +0200

ben (0.10.3ubuntu6) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 04 Jun 2024 16:48:55 +0200

ben (0.10.3ubuntu5) oracular; urgency=medium

  * Include an Ubuntu logo, remove the Debian logo.
  * Use Ubuntu fonts and colors by default.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 13 May 2024 12:51:00 -0500

## ben 1.7ubuntu5

=== debian/changelog ===
ben (1.7ubuntu5) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 24 Sep 2024 16:52:49 +0200

ben (1.7ubuntu4) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 Sep 2024 14:40:14 +0200

ben (1.7ubuntu3) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 11 Sep 2024 21:48:23 +0200

ben (1.7ubuntu2) oracular; urgency=medium

  * No-change rebuild for OCaml ABIs.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 06 Sep 2024 15:41:39 +0200

ben (1.7ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Show Ubuntu logo.
    - Allow configs to request the Packages/Sources files are not
      redownloaded (so that we can download once and for all at the start).
    - Add an Ubuntu template.
    - Tolerate templates with buildds or critical_bugs entries that return
      None.
    - Include an Ubuntu logo, remove the Debian logo.
    - Use Ubuntu fonts and colors by default.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 11:06:22 +0200

ben (1.7) unstable; urgency=medium

  * Do not hardcode /usr/lib/ocaml (Closes: #1078226)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 09 Aug 2024 03:04:07 +0200

ben (1.6ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Show Ubuntu logo.
    - Allow configs to request the Packages/Sources files are not
      redownloaded (so that we can download once and for all at the start).
    - Add an Ubuntu template.
    - Tolerate templates with buildds or critical_bugs entries that return
      None.
    - Include an Ubuntu logo, remove the Debian logo.
    - Use Ubuntu fonts and colors by default.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 30 Jul 2024 07:52:01 +0200

ben (1.6) unstable; urgency=medium

  * examples/transition-scripts:
    - create a directory per source package in pool
    - examples/ocaml: add JSON generator for ci.debian.net

 -- Stéphane Glondu <glondu@debian.org>  Mon, 29 Jul 2024 13:42:06 +0200

ben (1.5ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Show Ubuntu logo.
    - Allow configs to request the Packages/Sources files are not
      redownloaded (so that we can download once and for all at the start).
    - Add an Ubuntu template.
    - Tolerate templates with buildds or critical_bugs entries that return
      None.
    - Include an Ubuntu logo, remove the Debian logo.
    - Use Ubuntu fonts and colors by default.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 16 Jul 2024 11:07:17 +0200

ben (1.5) unstable; urgency=medium

  * Add build-{status,architecture} pseudo-headers (Closes: #763462)

 -- Stéphane Glondu <glondu@debian.org>  Mon, 15 Jul 2024 15:31:54 +0200

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,10 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-ocaml,
- graphviz,
- ocaml-findlib,
- ocamlbuild,
+ ocaml-dune,
+ ocaml-odoc,
  menhir,
- libocamlnet-ocaml-dev,
+ liburi-ocaml-dev,
  libocamlgraph-ocaml-dev,
  libfileutils-ocaml-dev,
  libtyxml-ocaml-dev (>= 4.1~),
@@ -72,6 +71,8 @@
  bzip2,
  curl,
  libjs-jquery,
+ fonts-ubuntu,
+ xz-utils,
  ${misc:Depends}
 Provides: ${ocaml:Provides}
 Enhances: devscripts

## ben 1.7ubuntu6

=== debian/changelog ===
ben (1.7ubuntu6) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 Jan 2025 18:18:40 +0100

## ben 1.8

=== debian/changelog ===
ben (1.8) unstable; urgency=medium

  * examples/transition-scripts:
    - add support for BEN_REBUILD_TIME_REFERENCE
    - add support for BEN_REBUILD_FTBFS
    - generalize for backports
    - many other small fixes and tunings
  * Avoid version and build date ending up in automatically computed ABI
  * Bump Standards-Version to 4.7.0

 -- Stéphane Glondu <glondu@debian.org>  Fri, 24 Jan 2025 06:11:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: ben
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Stéphane Glondu <glondu@debian.org>,
  Mehdi Dogguy <mehdi@debian.org>
@@ -27,7 +26,7 @@
  libxml2-utils,
  xsltproc,
  source-highlight
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Section: devel
 Homepage: https://debian.pages.debian.net/ben/
@@ -71,7 +70,6 @@
  bzip2,
  curl,
  libjs-jquery,
- fonts-ubuntu,
  xz-utils,
  ${misc:Depends}
 Provides: ${ocaml:Provides}

## ben 1.9

=== debian/changelog ===
ben (1.9) unstable; urgency=medium

  * Bump ocamlformat version to 0.27.0
  * Preprocess excuses.yaml to a more structured JSON file

 -- Stéphane Glondu <glondu@debian.org>  Mon, 10 Feb 2025 11:20:21 +0100

## ben 1.9ubuntu3

=== debian/changelog ===
ben (1.9ubuntu3) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 14 Feb 2025 00:17:43 +0100

ben (1.9ubuntu2) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Show Ubuntu logo.
    - Allow configs to request the Packages/Sources files are not
      redownloaded (so that we can download once and for all at the start).
    - Add an Ubuntu template.
    - Tolerate templates with buildds or critical_bugs entries that return
      None.
    - Include an Ubuntu logo, remove the Debian logo.
    - Use Ubuntu fonts and colors by default.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 11 Feb 2025 14:01:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: ben
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Stéphane Glondu <glondu@debian.org>,
  Mehdi Dogguy <mehdi@debian.org>
@@ -19,6 +20,7 @@
  libre-ocaml-dev (>= 1.7.2~),
  libextlib-ocaml-dev,
  liblwt-ocaml-dev,
+ libppx-yojson-conv-ocaml-dev,
  ocaml,
  asciidoctor,
  docbook-xml,
@@ -70,6 +72,7 @@
  bzip2,
  curl,
  libjs-jquery,
+ fonts-ubuntu,
  xz-utils,
  ${misc:Depends}
 Provides: ${ocaml:Provides}

## ben 1.9ubuntu5

=== debian/changelog ===
ben (1.9ubuntu5) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 19 Jun 2025 09:21:17 +0200

ben (1.9ubuntu4) questing; urgency=medium

  * Rebuild against latest ocaml libraries

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 08 May 2025 15:43:12 -0400

## ben 1.10

=== debian/changelog ===
ben (1.10) unstable; urgency=medium

  * Add a custom template example (Closes: #1111165)
  * Remove mips64el from defaults and examples

 -- Stéphane Glondu <glondu@debian.org>  Thu, 21 Aug 2025 08:00:31 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: ben
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Stéphane Glondu <glondu@debian.org>,
  Mehdi Dogguy <mehdi@debian.org>
@@ -72,7 +71,6 @@
  bzip2,
  curl,
  libjs-jquery,
- fonts-ubuntu,
  xz-utils,
  ${misc:Depends}
 Provides: ${ocaml:Provides}

## ben 1.10ubuntu1

=== debian/changelog ===
ben (1.10ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Show Ubuntu logo.
    - Allow configs to request the Packages/Sources files are not
      redownloaded (so that we can download once and for all at the start).
    - Add an Ubuntu template.
    - Tolerate templates with buildds or critical_bugs entries that return
      None.
    - Include an Ubuntu logo, remove the Debian logo.
    - Use Ubuntu fonts and colors by default.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 22 Aug 2025 15:29:18 +0200

## ben 1.10ubuntu2

=== debian/changelog ===
ben (1.10ubuntu2) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 31 Aug 2025 02:57:09 +0200

## ben 1.11

=== debian/changelog ===
ben (1.11) unstable; urgency=medium

  * Preserve field order and name case in "ben query"

 -- Stéphane Glondu <glondu@debian.org>  Tue, 30 Sep 2025 10:14:14 +0200

## ben 1.12

=== Makefile ===
##########################################################################
#  Copyright © 2009-2024 Stéphane Glondu <steph@glondu.net>              #
#            © 2010-2013 Mehdi Dogguy <mehdi@dogguy.org>                 #
#                                                                        #
#  This program is free software: you can redistribute it and/or modify  #
#  it under the terms of the GNU Affero General Public License as        #
#  published by the Free Software Foundation, either version 3 of the    #
#  License, or (at your option) any later version, with the additional   #
#  exemption that compiling, linking, and/or using OpenSSL is allowed.   #
#                                                                        #
#  This program is distributed in the hope that it will be useful, but   #
#  WITHOUT ANY WARRANTY; without even the implied warranty of            #
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU     #
#  Affero General Public License for more details.                       #
#                                                                        #
#  You should have received a copy of the GNU Affero General Public      #
#  License along with this program.  If not, see                         #
#  <http://www.gnu.org/licenses/>.                                       #
##########################################################################

.PHONY: all build clean doc

all: build doc

build:
	dune $@

clean:
	dune $@
	$(MAKE) -C doc $@

doc:
	$(MAKE) -C doc all

=== debian/changelog ===
ben (1.12) unstable; urgency=medium

  * Fix regression in "ben query -s" (Closes: #1117440)
  * Bump Standards-Version to 4.7.2

 -- Stéphane Glondu <glondu@debian.org>  Mon, 06 Oct 2025 08:37:11 +0200

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
  libxml2-utils,
  xsltproc,
  source-highlight
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Section: devel
 Homepage: https://debian.pages.debian.net/ben/

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml --buildsystem ocaml_dune

execute_after_dh_auto_clean:
	$(MAKE) -C doc clean

override_dh_auto_build:
	dh_auto_build -- @install @doc
	$(MAKE) doc

override_dh_ocaml:
	dh_ocaml --nodefined-map=ben:Debian,Debianrt

## ben 1.12ubuntu1

=== doc/Makefile ===
all: ben.1 refman.html

REVISION=$(shell cd .. && dpkg-parsechangelog -S Version)
export SOURCE_DATE_EPOCH=$(shell cd .. && dpkg-parsechangelog -STimestamp)

ben.1:
	asciidoctor --backend manpage --doctype manpage -a localrevision='$(REVISION)' $@.txt

refman.html:
	asciidoctor -b html5 -a icons -a data-uri -a iconsdir=/usr/share/xml/docbook/stylesheet/docbook-xsl/images/ -a toc2 -a footer-style=none -a localrevision='$(REVISION)' $(@:.html=.txt)

.PHONY: ben.1 refman.html

clean:
	-rm -f refman.html ben.1

=== debian/changelog ===
ben (1.12ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Show Ubuntu logo.
    - Allow configs to request the Packages/Sources files are not
      redownloaded (so that we can download once and for all at the start).
    - Add an Ubuntu template.
    - Tolerate templates with buildds or critical_bugs entries that return
      None.
    - Include an Ubuntu logo, remove the Debian logo.
    - Use Ubuntu fonts and colors by default.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 17 Oct 2025 23:34:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: ben
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Stéphane Glondu <glondu@debian.org>,
  Mehdi Dogguy <mehdi@debian.org>
@@ -71,6 +72,7 @@
  bzip2,
  curl,
  libjs-jquery,
+ fonts-ubuntu,
  xz-utils,
  ${misc:Depends}
 Provides: ${ocaml:Provides}

## ben 1.12ubuntu2

=== debian/changelog ===
ben (1.12ubuntu2) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 22 Oct 2025 22:42:20 +0200

## ben 1.12ubuntu3

=== debian/changelog ===
ben (1.12ubuntu3) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 28 Oct 2025 20:52:14 +0100

## ben 1.13

=== debian/changelog ===
ben (1.13) unstable; urgency=medium

  * Remove armel from examples and default values

 -- Stéphane Glondu <glondu@debian.org>  Tue, 25 Nov 2025 16:20:01 +0100

## ben 1.13ubuntu1

=== debian/changelog ===
ben (1.13ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Show Ubuntu logo.
    - Allow configs to request the Packages/Sources files are not
      redownloaded (so that we can download once and for all at the start).
    - Add an Ubuntu template.
    - Tolerate templates with buildds or critical_bugs entries that return
      None.
    - Include an Ubuntu logo, remove the Debian logo.
    - Use Ubuntu fonts and colors by default.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 26 Nov 2025 09:33:26 +0100

## ben 1.13ubuntu2

=== debian/changelog ===
ben (1.13ubuntu2) resolute; urgency=medium

  * Also add amd64v3 to config files

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 26 Nov 2025 12:08:54 +0100

## ben 1.13ubuntu3

=== debian/changelog ===
ben (1.13ubuntu3) resolute; urgency=medium

  * Set the baseurl to the new http://transitions.ubuntu.com,
    reference the git repository instead of the deprecated bzr one
  * Remove delta that reverted Debian commit 46f8579 which seems an error
  * The next merge summary should drop the mention of buildds and rcbugs
    returning None, that fix has upstreamed in Debian in version 0.6.7

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 08 Dec 2025 21:31:03 +0100

## ben 1.13ubuntu4

=== debian/changelog ===
ben (1.13ubuntu4) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 03 Jan 2026 10:53:25 +0100

## ben 1.13ubuntu5

=== debian/changelog ===
ben (1.13ubuntu5) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 07 Jan 2026 08:25:46 +0100

## ben 1.14

=== debian/changelog ===
ben (1.14) unstable; urgency=medium

  * Ignore multi-arch specifiers in dependencies (Closes: #1121833)
  * Change in terminology: use "component" instead of "area"
  * Add possibility to automatically detect components and architectures;
    remove hard-coded values
  * Fix a bad interaction between Re and Parmap libraries that caused
    segfaults

 -- Stéphane Glondu <glondu@debian.org>  Mon, 08 Dec 2025 14:30:38 +0100

## ben 1.15

=== debian/changelog ===
ben (1.15) unstable; urgency=medium

  * Add an option to ignore build-depends-indep (Closes: #1122238)
  * Transition scripts:
    - output missing packages graph in SVG format
    - add link to tracker in missing packages graph
    - add reason tooltip in missing packages graph
  * Bump Standards-Version to 4.7.3
  * Remove Rules-Requires-Root

 -- Stéphane Glondu <glondu@debian.org>  Tue, 06 Jan 2026 10:46:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: ben
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Stéphane Glondu <glondu@debian.org>,
  Mehdi Dogguy <mehdi@debian.org>
@@ -28,8 +27,7 @@
  libxml2-utils,
  xsltproc,
  source-highlight
-Standards-Version: 4.7.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Section: devel
 Homepage: https://debian.pages.debian.net/ben/
 Vcs-Browser: https://salsa.debian.org/debian/ben
@@ -72,7 +70,6 @@
  bzip2,
  curl,
  libjs-jquery,
- fonts-ubuntu,
  xz-utils,
  ${misc:Depends}
 Provides: ${ocaml:Provides}

## ben 1.15ubuntu1

=== debian/changelog ===
ben (1.15ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Show Ubuntu logo.
    - Allow configs to request the Packages/Sources files are not
      redownloaded (so that we can download once and for all at the start).
    - Add an Ubuntu template.
    - Include an Ubuntu logo, remove the Debian logo.
    - Use Ubuntu fonts and colors by default.
    - Mention Ubuntu git repository and transitions page

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 11 Jan 2026 09:18:03 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: ben
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Stéphane Glondu <glondu@debian.org>,
  Mehdi Dogguy <mehdi@debian.org>
@@ -70,6 +71,7 @@
  bzip2,
  curl,
  libjs-jquery,
+ fonts-ubuntu,
  xz-utils,
  ${misc:Depends}
 Provides: ${ocaml:Provides}
